Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1002232 - redundant "ERROR: /root/.spacewalk-sync-setup/slave.txt" when configuring master/slave
Summary: redundant "ERROR: /root/.spacewalk-sync-setup/slave.txt" when configuring mas...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Clients
Version: 2.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Grant Gainey
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On: 1002064
Blocks: space21
TreeView+ depends on / blocked
 
Reported: 2013-08-28 16:55 UTC by Grant Gainey
Modified: 2014-03-04 13:08 UTC (History)
2 users (show)

Fixed In Version: spacewalk-utils-2.1.12-1
Doc Type: Bug Fix
Doc Text:
Clone Of: 1002064
Environment:
Last Closed: 2014-03-04 13:07:32 UTC


Attachments (Terms of Use)

Description Grant Gainey 2013-08-28 16:55:06 UTC
+++ This bug was initially created as a clone of Bug #1002064 +++

Description of problem:
Following documentation when you run final spacewalk-sync-setup command, error which is probably not important (as all seem to be setup correctly after that) is printed.


Version-Release number of selected component (if applicable):
spacewalk-utils-2.0.2-8.el6sat.noarch


How reproducible:
always


Steps to Reproduce:
1. Have two satellites and attempt to configure ISS between them:
   # spacewalk-sync-setup --ss=<sat1> --sl=<sat1_admin> --sp=<sat1_pass> --ms=<sat2> --ml=<sat2_admin> --mp=<sat2_pass> --create-templates --apply


Actual results:
ERROR: /root/.spacewalk-sync-setup/slave.txt
INFO: Connecting to <sat2_admin>@<sat1>
INFO: Connecting to <sat1_admin>@<sat2>
INFO: Generating master-setup file /root/.spacewalk-sync-setup/master.txt
INFO: Generating slave-setup file /root/.spacewalk-sync-setup/slave.txt
INFO: About to wget master CA cert: [wget -q -O /usr/share/rhn/<sat2>_RHN-ORG-TRUSTED-SSL-CERT http://<sat2>/pub/RHN-ORG-TRUSTED-SSL-CERT]
INFO: Applying master-setup /root/.spacewalk-sync-setup/master.txt
INFO: Applying slave-setup /root/.spacewalk-sync-setup/slave.txt
# echo $?
0


Expected results:
That error should not be there or should be more verbose as it is clear where is the problem


Additional info:
Reported after testing of bug 997021

Comment 1 Grant Gainey 2013-08-28 17:07:58 UTC
35723e2a43cd7394a0e9530bdd422401359f5beb

Comment 2 Matej Kollar 2014-01-17 12:16:25 UTC
Switching MODIFIED Spacewalk bugs to ON_QA before 2.1 release.

Comment 3 Matej Kollar 2014-03-04 13:07:32 UTC
Spacewalk 2.1 has been released.
https://fedorahosted.org/spacewalk/wiki/ReleaseNotes21

Comment 4 Matej Kollar 2014-03-04 13:08:50 UTC
Spacewalk 2.1 has been released.
https://fedorahosted.org/spacewalk/wiki/ReleaseNotes21


Note You need to log in before you can comment on or make changes to this bug.